Bug 525063 - [abrt] crash detected in anjuta-1:2.27.92.0-1.fc12
Summary: [abrt] crash detected in anjuta-1:2.27.92.0-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anjuta
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9647272ded9d882771f36be54ef...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 08:18 UTC by Michal Schmidt
Modified: 2010-05-02 08:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-02 08:56:22 UTC


Attachments (Terms of Use)
File: backtrace (70.88 KB, text/plain)
2009-09-23 08:18 UTC, Michal Schmidt
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 597113 None None None Never

Description Michal Schmidt 2009-09-23 08:18:01 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Comment
-----
I created a new project based on existing sources (a git checkout of pulseaudio). Then I just browsed through the main menu to get an idea of what Anjuta can do.

This was in the terminal (anjuta's stdout and stderr):
(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(anjuta:14574): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GdkWindow'

(anjuta:14574): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
*** glibc detected *** anjuta: free(): invalid pointer: 0x000000000423a910 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3b16a758d6]
/lib64/libglib-2.0.so.0(g_hash_table_unref+0x5e)[0x3b1862b04e]
/usr/lib64/libgda-4.0.so.4(+0x6ed98)[0x7f5eb39d3d98]
/lib64/libgobject-2.0.so.0[0x3b1961131d]
/lib64/libgobject-2.0.so.0(g_object_newv+0x29e)[0x3b19611c8e]
/lib64/libgobject-2.0.so.0(g_object_new_valist+0x241)[0x3b19612701]
/lib64/libgobject-2.0.so.0(g_object_new+0xcc)[0x3b1961296c]
/usr/lib64/libgda-4.0.so.4(gda_set_new+0x2f)[0x7f5eb39d478f]
/usr/lib64/libgda-4.0.so.4(gda_set_new_inline+0x2b1)[0x7f5eb39d4a61]
/usr/lib64/libgda-4.0.so.4(+0xab1e2)[0x7f5eb3a101e2]
/usr/lib64/libgda-4.0.so.4(+0x2ca09)[0x7f5eb3991a09]
/usr/lib64/libgda-4.0.so.4(gda_connection_statement_execute_non_select+0x172)[0x7f5eb3998b42]
/usr/lib64/anjuta/libanjuta-symbol-db.so(+0x2de24)[0x7f5eb4016e24]
/usr/lib64/anjuta/libanjuta-symbol-db.so(+0x2f1ec)[0x7f5eb40181ec]
/usr/lib64/anjuta/libanjuta-symbol-db.so(+0x2f5ad)[0x7f5eb40185ad]
/lib64/libglib-2.0.so.0[0x3b186638f2]
/lib64/libglib-2.0.so.0[0x3b18662304]
/lib64/libpthread.so.0[0x3b1760696a]
/lib64/libc.so.6(clone+0x6d)[0x3b16ae13cd]
======= Memory map: ========
00400000-0040e000 r-xp 00000000 fd:0c 204709                             /usr/bin/anjuta
0060d000-0060f000 rw-p 0000d000 fd:0c 204709                             /usr/bin/anjuta
0060f000-00611000 rw-p 00000000 00:00 0 
01cde000-04261000 rw-p 00000000 00:00 0                                  [heap]
3b16600000-3b16620000 r-xp 00000000 fd:0c 4294                           /lib64/ld-2.10.90.so
3b1681f000-3b16820000 r--p 0001f000 fd:0c 4294                           /lib64/ld-2.10.90.so
3b16820000-3b16821000 rw-p 00020000 fd:0c 4294                           /lib64/ld-2.10.90.so
3b16821000-3b16822000 rw-p 00000000 00:00 0 
3b16a00000-3b16b76000 r-xp 00000000 fd:0c 5342                           /lib64/libc-2.10.90.so
3b16b76000-3b16d76000 ---p 00176000 fd:0c 5342                           /lib64/libc-2.10.90.so
3b16d76000-3b16d7a000 r--p 00176000 fd:0c 5342                           /lib64/libc-2.10.90.so
3b16d7a000-3b16d7b000 rw-p 0017a000 fd:0c 5342                           /lib64/libc-2.10.90.so
3b16d7b000-3b16d80000 rw-p 00000000 00:00 0 
3b16e00000-3b16e83000 r-xp 00000000 fd:0c 5349                           /lib64/libm-2.10.90.so
3b16e83000-3b17082000 ---p 00083000 fd:0c 5349                           /lib64/libm-2.10.90.so
3b17082000-3b17083000 r--p 00082000 fd:0c 5349                           /lib64/libm-2.10.90.so
3b17083000-3b17084000 rw-p 00083000 fd:0c 5349                           /lib64/libm-2.10.90.so
3b17200000-3b17202000 r-xp 00000000 fd:0c 5884                           /lib64/libdl-2.10.90.so
3b17202000-3b17402000 ---p 00002000 fd:0c 5884                           /lib64/libdl-2.10.90.so
3b17402000-3b17403000 r--p 00002000 fd:0c 5884                           /lib64/libdl-2.10.90.so
3b17403000-3b17404000 rw-p 00003000 fd:0c 5884                           /lib64/libdl-2.10.90.so
3b17600000-3b17618000 r-xp 00000000 fd:0c 11104                          /lib64/libpthread-2.10.90.so
3b17618000-3b17817000 ---p 00018000 fd:0c 11104                          /lib64/libpthread-2.10.90.so
3b17817000-3b17818000 r--p 00017000 fd:0c 11104                          /lib64/libpthread-2.10.90.so
3b17818000-3b17819000 rw-p 00018000 fd:0c 11104                          /lib64/libpthread-2.10.90.so
3b17819000-3b1781d000 rw-p 00000000 00:00 0 
3b17a00000-3b17a15000 r-xp 00000000 fd:0c 5664                           /lib64/libz.so.1.2.3
3b17a15000-3b17c14000 ---p 00015000 fd:0c 5664                           /lib64/libz.so.1.2.3
3b17c14000-3b17c15000 rw-p 00014000 fd:0c 5664                           /lib64/libz.so.1.2.3
3b17e00000-3b17e07000 r-xp 00000000 fd:0c 11136                          /lib64/librt-2.10.90.so
3b17e07000-3b18006000 ---p 00007000 fd:0c 11136                          /lib64/librt-2.10.90.so
3b18006000-3b18007000 r--p 00006000 fd:0c 11136                          /lib64/librt-2.10.90.so
3b18007000-3b18008000 rw-p 00007000 fd:0c 11136                          /lib64/librt-2.10.90.so
3b18200000-3b1821c000 r-xp 00000000 fd:0c 8435                           /lib64/libselinux.so.1
3b1821c000-3b1841b000 ---p 0001c000 fd:0c 8435                           /lib64/libselinux.so.1
3b1841b000-3b1841c000 r--p 0001b000 fd:0c 8435                           /lib64/libselinux.so.1
3b1841c000-3b1841d000 rw-p 0001c000 fd:0c 8435                           /lib64/libselinux.so.1
3b1841d000-3b1841e000 rw-p 00000000 00:00 0 
3b18600000-3b186e5000 r-xp 00000000 fd:0c 6410                           /lib64/libglib-2.0.so.0.2106.0
3b186e5000-3b188e4000 ---p 000e5000 fd:0c 6410                           /lib64/libglib-2.0.so.0.2106.0
3b188e4000-3b188e5000 rw-p 000e4000 fd:0c 6410                           /lib64/libglib-2.0.so.0.2106.0
3b188e5000-3b188e6000 rw-p 00000000 00:00 0 
3b18a00000-3b18a16000 r-xp 00000000 fd:0c 8418                           /lib64/libresolv-2.10.90.so
3b18a16000-3b18c16000 ---p 00016000 fd:0c 8418                           /lib64/libresolv-2.10.90.so
3b18c16000-3b18c17000 r--p 00016000 fd:0c 8418                           /lib64/libresolv-2.10.90.so
3b18c17000-3b18c18000 rw-p 00017000 fd:0c 8418                           /lib64/libresolv-2.10.90.so
3b18c18000-3b18c1a000 rw-p 00000000 00:00 0 
3b18e00000-3b18e04000 r-xp 00000000 fd:0c 33625                          /lib64/libattr.so.1.1.0
3b18e04000-3b19003000 ---p 00004000 fd:0c 33625                          /lib64/libattr.so.1.1.0
3b19003000-3b19004000 rw-p 00003000 fd:0c 33625                          /lib64/libattr.so.1.1.0
3b19200000-3b19339000 r-xp 00000000 fd:0c 6015                           /usr/lib64/libX11.so.6.3.0
3b19339000-3b19539000 ---p 00139000 fd:0c 6015                           /usr/lib64/libX11.so.6.3.0
3b19539000-3b1953f000 rw-p 00139000 fd:0c 6015                           /usr/lib64/libX11.so.6.3.0
3b19600000-3b19645000 r-xp 00000000 fd:0c 6571                           /lib64/libgobject-2.0.so.0.2106.0
3b19645000-3b19845000 ---p 00045000 fd:0c 6571                           /lib64/libgobject-2.0.so.0.2106.0
3b19845000-3b19847000 rw-p 00045000 fd:0c 6571                           /lib64/libgobject-2.0.so.0.2106.0
3b19a00000-3b19a04000 r-xp 00000000 fd:0c 33626                          /lib64/libcap.so.2.16
3b19a04000-3b19c03000 ---p 00004000 fd:0c 33626                          /lib64/libcap.so.2.16
3b19c03000-3b19c04000 rw-p 00003000 fd:0c 33626                          /lib64/libcap.so.2.16
3b19e00000-3b19e02000 r-xp 00000000 fd:0c 5811                           /usr/lib64/libXau.so.6.0.0
3b19e02000-3b1a002000 ---p 00002000 fd:0c 5811                           /usr/lib64/libXau.so.6.0.0
3b1a002000-3b1a003000 rw-p 00002000 fd:0c 5811                           /usr/lib64/libXau.so.6.0.0
3b1a200000-3b1a21b000 r-xp 00000000 fd:0c 5813                           /usr/lib64/libxcb.so.1.1.0
3b1a21b000-3b1a41a000 ---p 0001b000 fd:0c 5813                           /usr/lib64/libxcb.so.1.1.0
3b1a41a000-3b1a41b000 rw-p 0001a000 fd:0c 5813                           /usr/lib64/libxcb.so.1.1.0
3b1a600000-3b1a63f000 r-xp 00000000 fd:0c 33627                          /lib64/libdbus-1.so.3.4.0
3b1a63f000-3b1a83f000 ---p 0003f000 fd:0c 33627                          /lib64/libdbus-1.so.3.4.0
3b1a83f000-3b1a840000 r--p 0003f000 fd:0c 33627                          /lib64/libdbus-1.so.3.4.0
3b1a840000-3b1a841000 rw-p 00040000 fd:0c 33627                          /lib64/libdbus-1.so.3.4.0
3b1aa00000-3b1aa11000 r-xp 00000000 fd:0c 7478                           /usr/lib64/libXext.so.6.4.0
3b1aa11000-3b1ac11000 ---p 00011000 fd:0c 7478                           /usr/lib64/libXext.so.6.4.0
3b1ac11000-3b1ac12000 rw-p 00011000 fd:0c 7478                           /usr/lib64/libXext.so.6.4.0
3b1ae00000-3b1ae04000 r-xp 00000000 fd:0c 11146                          /lib64/libgthread-2.0.so.0.2106.0
3b1ae04000-3b1b003000 ---p 00004000 fd:0c 11146                          /lib64/libgthread-2.0.so.0.2106.0
3b1b003000-3b1b004000 rw-p 00003000 fd:0c 11146                          /lib64/libgthread-2.0.so.0.2106.0
3b1b200000-3b1b296000 r-xp 00000000 fd:0c 5485                           /usr/lib64/libfreetype.so.6.3.20
3b1b296000-3b1b495000 ---p 00096000 fd:0c 5485                           /usr/lib64/libfreetype.so.6.3.20
3b1b495000-3b1b49b000 rw-p 00095000 fd:0c 5485                           /usr/lib64/libfreetype.so.6.3.20
3b1b600000-3b1b616000 r-xp 00000000 fd:0c 11598                          /lib64/libgcc_s-4.4.1-20090918.so.1
3b1b616000-3b1b815000 ---p 00016000 fd:0c 11598                          /lib64/libgcc_s-4.4.1-20090918.so.1
3b1b815000-3b1b816000 rw-p 00015000 fd:0c 11598                          /lib64/libgcc_s-4.4.1-20090918.so.1
3b1ba00000-3b1ba26000 r-xp 00000000 fd:0c 5632                           /lib64/libexpat.so.1.5.2
3b1ba26000-3b1bc25000 ---p 00026000 fd:0c 5632                           /lib64/libexpat.so.1.5.2
3b1bc25000-3b1bc28000 rw-p 00025000 fd:0c 5632                           /lib64/libexpat.so.1.5.2
3b1be00000-3b1be26000 r-xp 00000000 fd:0c 5678                           /usr/lib64/libpng12.so.0.39.0
3b1be26000-3b1c025000 ---p 00026000 fd:0c 5678                           /usr/lib64/libpng12.so.0.39.0
3b1c025000-3b1c026000 rw-p 00025000 fd:0c 5678                           /usr/lib64/libpng12.so.0.39.0
3b1c200000-3b1c203000 r-xp 00000000 fd:0c 6637                           /lib64/libgmodule-2.0.so.0.2106.0
3b1c203000-3b1c402000 ---p 00003000 fd:0c 6637                           /lib64/libgmodule-2.0.so.0.2106.0
3b1c402000-3b1c403000 rw-p 00002000 fd:0c 6637                           /lib64/libgmodule-2.0.so.0.2106.0
3b1c600000-3b1c634000 r-xp 00000000 fd:0c 5646                           /usr/lib64/libfontconfig.so.1.4.3
3b1c634000-3b1c834000 ---p 00034000 fd:0c 5646                           /usr/lib64/libfontconfig.so.1.4.3
3b1c834000-3b1c836000 rw-p 00034000 fd:0c 5646                           /usr/lib64/libfontconfig.so.1.4.3
3b1ca00000-3b1ca0f000 r-xp 00000000 fd:0c 7931                           /usr/lib64/libXi.so.6.1.0
3b1ca0f000-3b1cc0e000 ---p 0000f000 fd:0c 7931                           /usr/lib64/libXi.so.6.1.0
3b1cc0e000-3b1cc0f000 rw-p 0000e000 fd:0c 7931                           /usr/lib64/libXi.so.6.1.0
3b1ce00000-3b1ce09000 r-xp 00000000 fd:0c 6174                           /usr/lib64/libXrender.so.1.3.0
3b1ce09000-3b1d009000 ---p 00009000 fd:0c 6174                           /usr/lib64/libXrender.so.1.3.0
3b1d009000-3b1d00a000 rw-p 00009000 fd:0c 6174                           /usr/lib64/libXrender.so.1.3.0
3b1da00000-3b1da05000 r-xp 00000000 fd:0c 8046                           /usr/lib64/libXfixes.so.3.1.0
3b1da05000-3b1dc04000 ---p 00005000 fd:0c 8046                           /usr/lib64/libXfixes.so.3.1.0
3b1dc04000-3b1dc05000 rw-p 00004000 fd:0c 8046                           /usr/lib64/libXfixes.so.3.1.0
3b1de00000-3b1de09000 r-xp 00000000 fd:0c 8103                           /usr/lib64/libXcursor.so.1.0.2
3b1de09000-3b1e009000 ---p 00009000 fd:0c 8103                           /usr/lib64/libXcursor.so.1.0.2
3b1e009000-3b1e00a000 rw-p 00009000 fd:0c 8103                           /usr/lib64/libXcursor.so.1.0.2
3b1e200000-3b1e208000 r-xp 00000000 fd:0c 7963                           /usr/lib64/libXrandr.so.2.2.0
3b1e208000-3b1e407000 ---p 00008000 fd:0c 7963                           /usr/lib64/libXrandr.so.2.2.0
3b1e407000-3b1e408000 rw-p 00007000 fd:0c 7963                           /usr/lib64/libXrandr.so.2.2.0
3b1e600000-3b1e602000 r-xp 00000000 fd:0c 7725                           /usr/lib64/libXinerama.so.1.0.0
3b1e602000-3b1e801000 ---p 00002000 fd:0c 7725                           /usr/lib64/libXinerama.so.1.0.0
3b1e801000-3b1e802000 rw-p 00001000 fd:0c 7725                           /usr/lib64/libXinerama.so.1.0.0
3b1ee00000-3b1ee18000 r-xp 00000000 fd:0c 101071                         /usr/lib64/libbeagle.so.1.0.3
3b1ee18000-3b1f017000 ---p 00018000 fd:0c 101071                         /usr/lib64/libbeagle.so.1.0.3
3b1f017000-3b1f018000 rw-p 00017000 fd:0c 101071                         /usr/lib64/libbeagle.so.1.0.3
3b1f018000-3b1f019000 rw-p 00000000 00:00 0 
3b1f200000-3b1f2ae000 r-xp 00000000 fd:0c 8443                           /lib64/libgio-2.0.so.0.2106.0
3b1f2ae000-3b1f4ae000 ---p 000ae000 fd:0c 8443                           /lib64/libgio-2.0.so.0.2106.0
3b1f4ae000-3b1f4b1000 rw-p 000ae000 fd:0c 8443                           /lib64/libgio-2.0.so.0.2106.0
3b1f4b1000-3b1f4b2000 rw-p 00000000 00:00 0 
3b21600000-3b21602000 r-xp 00000000 fd:0c 8339                           /usr/lib64/libXdamage.so.1.1.0
3b21602000-3b21801000 ---p 00002000 fd:0c 8339                           /usr/lib64/libXdamage.so.1.1.0
3b21801000-3b21802000 rw-p 00001000 fd:0c 8339                           /usr/lib64/libXdamage.so.1.1.0
3b21a00000-3b21a0b000 r-xp 00000000 fd:0c 7348                           /usr/lib64/libpangocairo-1.0.so.0.2600.0
3b21a0b000-3b21c0b000 ---p 0000b000 fd:0c 7348                           /usr/lib64/libpangocairo-1.0.so.0.2600.0
3b21c0b000-3b21c0c000 rw-p 0000b000 fd:0c 7348                           /usr/lib64/libpangocairo-1.0.so.0.2600.0
3b21e00000-3b21e1e000 r-xp 00000000 fd:0c 8550                           /usr/lib64/libgdk_pixbuf-2.0.so.0.1711.0
3b21e1e000-3b2201e000 ---p 0001e000 fd:0c 8550                           /usr/lib64/libgdk_pixbuf-2.0.so.0.1711.0
3b2201e000-3b2201f000 rw-p 0001e000 fd:0c 8550                           /usr/lib64/libgdk_pixbuf-2.0.so.0.1711.0
3b22200000-3b22659000 r-xp 00000000 fd:0c 11037                          /usr/lib64/libgtk-x11-2.0.so.0.1711.0
3b22659000-3b22858000 ---p 00459000 fd:0c 11037                          /usr/lib64/libgtk-x11-2.0.so.0.1711.0
3b22858000-3b22863000 rw-p 00458000 fd:0c 11037                          /usr/lib64/libgtk-x11-2.0.so.0.1711.0
3b22863000-3b22865000 rw-p 00000000 00:00 0 
3b22a00000-3b22a76000 r-xp 00000000 fd:0c 6387                           /usr/lib64/libcairo.so.2.10800.8
3b22a76000-3b22c76000 ---p 00076000 fd:0c 6387                           /usr/lib64/libcairo.so.2.10800.8
3b22c76000-3b22c79000 rw-p 00076000 fd:0c 6387                           /usr/lib64/libcairo.so.2.10800.8
3b22e00000-3b22e28000 r-xp 00000000 fd:0c 7329                           /usr/lib64/libpangoft2-1.0.so.0.2600.0
3b22e28000-3b23027000 ---p 00028000 fd:0c 7329                           /usr/lib64/libpangoft2-1.0.so.0.2600.0
3b23027000-3b23029000 rw-p 00027000 fd:0c 7329                           /usr/lib64/libpangoft2-1.0.so.0.2600.0
3b23200000-3b23258000 r-xp 00000000 fd:0c 5388                           /usr/lib64/libpixman-1.so.0.16.0
3b23258000-3b23458000 ---p 00058000 fd:0c 5388                           /usr/lib64/libpixman-1.so.0.16.0
3b23458000-3b2345b000 rw-p 00058000 fd:0c 5388                           /usr/lib64/libpixman-1.so.0.16.0
3b23600000-3b23602000 r-xp 00000000 fd:0c 8169                           /usr/lib64/libXcomposite.so.1.0.0
3b23602000-3b23801000 ---p 00002000 fd:0c 8169                           /usr/lib64/libXcomposite.so.1.0.0
3b23801000-3b23802000 rw-p 00001000 fd:0c 8169                           /usr/lib64/libXcomposite.so.1.0.0
3b23a00000-3b23a48000 r-xp 00000000 fd:0c 6987                           /usr/lib64/libpango-1.0.so.0.2600.0
3b23a48000-3b23c47000 ---p 00048000 fd:0c 6987                           /usr/lib64/libpango-1.0.so.0.2600.0
3b23c47000-3b23c4a000 rw-p 00047000 fd:0c 6987                           /usr/lib64/libpango-1.0.so.0.2600.0
3b23e00000-3b23eb4000 r-xp 00000000 fd:0c 8555                           /usr/lib64/libgdk-x11-2.0.so.0.1711.0
3b23eb4000-3b240b4000 ---p 000b4000 fd:0c 8555                           /usr/lib64/libgdk-x11-2.0.so.0.1711.0Neúspěšně ukončen (SIGABRT) (core dumped [obraz paměti uložen])

Additional information
======


Attached files
----
backtrace

cmdline
-----
anjuta 


component
-----
anjuta


executable
-----
/usr/bin/anjuta


kernel
-----
2.6.31-33.fc12.x86_64


package
-----
anjuta-1:2.27.92.0-1.fc12


reason
-----
Process was terminated by signal 6

Comment 1 Michal Schmidt 2009-09-23 08:18:06 UTC
Created attachment 362187 [details]
File: backtrace

Comment 2 Michal Schmidt 2009-09-23 08:21:09 UTC
Stupid bug in abrt strikes again, the backtrace it attached is from a completely unrelated crash in evince.

Here's the real backtrace:

[?1034h[New Thread 14620]
[New Thread 14595]
[New Thread 14574]
Core was generated by `anjuta'.
Program terminated with signal 6, Aborted.
#0  0x0000003b16a33575 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);

Thread 4 (Thread 14574):
#0  0x0000003b16a79420 in _int_malloc (av=0x3b16d7be80, bytes=425)
    at malloc.c:4285
        nb = 448
        idx = <value optimized out>
        bin = <value optimized out>
        victim = <value optimized out>
        size = <value optimized out>
        victim_index = <value optimized out>
        remainder = <value optimized out>
        remainder_size = <value optimized out>
        block = <value optimized out>
        bit = <value optimized out>
        map = <value optimized out>
        fwd = <value optimized out>
        bck = <value optimized out>
        errstr = <value optimized out>
        __func__ = "_int_malloc"
#1  0x0000003b16a7a9b8 in malloc_check (sz=424, caller=<value optimized out>)
    at hooks.c:264
        victim = <value optimized out>
#2  0x0000003b22a1575a in _cairo_gstate_save (gstate=0x4238028, freelist=0x1a9)
    at cairo-gstate.c:228
        top = 0x0
        status = <value optimized out>
#3  0x0000003b22a0fca0 in cairo_save (cr=0x4238000) at cairo.c:340
        status = <value optimized out>
#4  0x0000003b23e45c08 in gdk_window_set_cairo_clip (
    drawable=<value optimized out>, cr=0x4238000) at gdkwindow.c:4737
        paint = 0x423fa40
        private = <value optimized out>
#5  0x0000003b23e1e44d in IA__gdk_cairo_create (drawable=0x21368a0)
    at gdkcairo.c:55
        surface = 0x3f53f70
        cr = 0x4238000
        __PRETTY_FUNCTION__ = "IA__gdk_cairo_create"
#6  0x0000003b23e2bf69 in get_cairo_context (gdk_renderer=0x20bed80, 
    part=PANGO_RENDER_PART_FOREGROUND) at gdkpango.c:168
        matrix = <value optimized out>
        renderer = 0x20bed00
        priv = 0x20bed80
#7  0x0000003b23e2c5d4 in gdk_pango_renderer_draw_glyphs (renderer=0x20bed00, 
    font=0x1ed13f0, glyphs=0x3e8d740, x=23552, y=<value optimized out>)
    at gdkpango.c:239
        gdk_renderer = 0x20bed00
        priv = 0x20bed80
        cr = <value optimized out>
#8  0x0000003b23a284ed in pango_renderer_draw_glyphs (renderer=0x20bed00, 
    font=0x1ed13f0, glyphs=0x3e8d740, x=23552, y=<value optimized out>)
    at pango-renderer.c:645
        __PRETTY_FUNCTION__ = "pango_renderer_draw_glyphs"
#9  0x0000003b23a28cbd in pango_renderer_draw_layout_line (
    renderer=<value optimized out>, line=<value optimized out>, 
    x=<value optimized out>, y=<value optimized out>) at pango-renderer.c:574
        metrics = <value optimized out>
        run = 0x34adb90
        logical_rect = {x = 43275520, y = 0, width = 597812577, height = 59}
        logical = <value optimized out>
        rise = 0
        shape_attr = 0x0
        ink_rect = {x = 41066608, y = 0, width = 43275520, height = 0}
        ink = <value optimized out>
        x_off = <value optimized out>
        glyph_string_width = <value optimized out>
        state = {underline = PANGO_UNDERLINE_NONE, underline_rect = {x = 0, 
            y = 409324393, width = 59, height = 34336000}, strikethrough = 0, 
          strikethrough_rect = {x = 409118695, y = 13312, width = 6351712, 
            height = 0}, logical_rect_end = 39936}
        l = 0x34a4060
        got_overall = <value optimized out>
        overall_rect = {x = 41066608, y = 0, width = 597815309, height = 59}
        text = 0x3ecd7b0 "Ladit program"
        __PRETTY_FUNCTION__ = "pango_renderer_draw_layout_line"
#10 0x0000003b23a28fc5 in pango_renderer_draw_layout (renderer=0x20bed00, 
    layout=<value optimized out>, x=23552, y=26624) at pango-renderer.c:198
        logical_rect = {x = 0, y = 0, width = 95232, height = 17408}
        line = 0x24269e0
        baseline = <value optimized out>
        iter = 0x272a070
        __PRETTY_FUNCTION__ = "pango_renderer_draw_layout"
#11 0x0000003b23e2b207 in IA__gdk_draw_layout_with_colors (
    drawable=<value optimized out>, gc=<value optimized out>, 
    x=<value optimized out>, y=<value optimized out>, layout=0x2945500, 
    foreground=<value optimized out>, background=<value optimized out>)
    at gdkpango.c:999
        renderer = 0x20bed00
        matrix = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gdk_draw_layout_with_colors"
#12 0x0000003b23e2b3ae in IA__gdk_draw_layout (drawable=0x21368a0, 
    gc=0x1eda0e0, x=23, y=26, layout=0x2945500) at gdkpango.c:1061
        __PRETTY_FUNCTION__ = "IA__gdk_draw_layout"
#13 0x00007f5eb95e3d60 in gdk_rectangle_intersect () at gdkrectangle.c:80
No symbol table info available.
#14 0x0000003b223407d4 in gtk_label_expose (widget=0x26dac80, event=0x292f0e0)
    at gtklabel.c:3453
        label = 0x26dac80
        info = 0x0
        x = 23
        y = 26
#15 0x0000003b2226e9c2 in gtk_accel_label_expose_event (widget=0x26dac80, 
    event=0x292f0e0) at gtkaccellabel.c:322
        y = <value optimized out>
        label_layout = <value optimized out>
        accel_layout = 0x26dac80
        label = <value optimized out>
        x = <value optimized out>
        ac_width = <value optimized out>
        accel_label = 0x26dac80
        direction = GTK_TEXT_DIR_LTR
#16 0x0000003b22352683 in _gtk_marshal_BOOLEAN__BOXED (closure=0x1d47e70, 
    return_value=0x7fff6562bbc0, n_param_values=<value optimized out>, 
    param_values=0x2578f30, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
        callback = 0x3b2226e860 <gtk_accel_label_expose_event>
        cc = 0x1d47e70
        data1 = 0x26dac80
        data2 = 0x1d284d0
        v_return = <value optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#17 0x0000003b1960ba99 in IA__g_closure_invoke (closure=0x1d47e70, 
    return_value=0x7fff6562bbc0, n_param_values=2, param_values=0x2578f30, 
    invocation_hint=0x7fff6562bb80) at gclosure.c:767
        marshal = 0x1c0
        marshal_data = 0x0
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#18 0x0000003b196219f8 in signal_emit_unlocked_R (node=0x1d47ef0, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3285
        accumulator = 0x1
        emission = {next = 0x7fff6562c170, instance = 0x26dac80, ihint = {
            signal_id = 41, detail = 0, run_type = G_SIGNAL_RUN_LAST}, 
          state = EMISSION_RUN, chain_type = 30811664}
        class_closure = 0x1d47e70
        handler_list = 0x0
        return_accu = <value optimized out>
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        signal_id = 41
        max_sequential_handler_number = 1
        return_value_altered = 0
#19 0x0000003b1962300e in IA__g_signal_emit_valist (instance=0x26dac80, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff6562bd70)
    at gsignal.c:2990
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        error = <value optimized out>
        signal_return_type = 20
        param_values = <value optimized out>
        node = 0x1d47ef0
        i = <value optimized out>
        n_params = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#20 0x0000003b196236c3 in IA__g_signal_emit (instance=0x3b16d7be80, 
    signal_id=425, detail=448) at gsignal.c:3037
        var_args = {{gp_offset = 32, fp_offset = 48, 
            overflow_arg_area = 0x7fff6562be50, 
            reg_save_area = 0x7fff6562bd90}}
#21 0x0000003b22472d1f in gtk_widget_event_internal (widget=0x26dac80, 
    event=0x292f0e0) at gtkwidget.c:4767
        signal_num = <value optimized out>
        return_val = 0
#22 0x0000003b222b83bd in IA__gtk_container_propagate_expose (
    container=<value optimized out>, child=0x26dac80, event=0x2594630)
    at gtkcontainer.c:2731
        child_event = 0x292f0e0
        __PRETTY_FUNCTION__ = "IA__gtk_container_propagate_expose"
#23 0x0000003b2232dc30 in gtk_image_menu_item_forall (container=0x2726620, 
    include_internals=1, callback=0x3b222ba200 <gtk_container_expose_child>, 
    callback_data=0x7fff6562bee0) at gtkimagemenuitem.c:541
No locals.
#24 0x0000003b222ba1d5 in gtk_container_expose (widget=0x2726620, 
    event=0x2594630) at gtkcontainer.c:2642
        data = {container = 0x2726620, event = 0x2594630}
        __PRETTY_FUNCTION__ = "gtk_container_expose"
#25 0x0000003b22361515 in gtk_menu_item_expose (widget=0x2726620, 
    event=0x2594630) at gtkmenuitem.c:1325
        __PRETTY_FUNCTION__ = "gtk_menu_item_expose"
#26 0x0000003b22352683 in _gtk_marshal_BOOLEAN__BOXED (closure=0x1d47e70, 
    return_value=0x7fff6562c1c0, n_param_values=<value optimized out>, 
    param_values=0x2725a00, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
        callback = 0x3b223613f0 <gtk_menu_item_expose>
        cc = 0x1d47e70
        data1 = 0x2726620
        data2 = 0x1d284d0
        v_return = <value optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#27 0x0000003b1960ba99 in IA__g_closure_invoke (closure=0x1d47e70, 
    return_value=0x7fff6562c1c0, n_param_values=2, param_values=0x2725a00, 
    invocation_hint=0x7fff6562c180) at gclosure.c:767
        marshal = 0x1c0
        marshal_data = 0x0
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#28 0x0000003b196219f8 in signal_emit_unlocked_R (node=0x1d47ef0, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3285
        accumulator = 0x5
        emission = {next = 0x7fff6562c770, instance = 0x2726620, ihint = {
            signal_id = 41, detail = 0, run_type = G_SIGNAL_RUN_LAST}, 
          state = EMISSION_RUN, chain_type = 31192816}
        class_closure = 0x1d47e70
        handler_list = 0x0
        return_accu = <value optimized out>
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        signal_id = 41
        max_sequential_handler_number = 5
        return_value_altered = 0
#29 0x0000003b1962300e in IA__g_signal_emit_valist (instance=0x2726620, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff6562c370)
    at gsignal.c:2990
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        error = <value optimized out>
        signal_return_type = 20
        param_values = <value optimized out>
        node = 0x1d47ef0
        i = <value optimized out>
        n_params = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#30 0x0000003b196236c3 in IA__g_signal_emit (instance=0x3b16d7be80, 
    signal_id=425, detail=448) at gsignal.c:3037
        var_args = {{gp_offset = 32, fp_offset = 48, 
            overflow_arg_area = 0x7fff6562c450, 
            reg_save_area = 0x7fff6562c390}}
#31 0x0000003b22472d1f in gtk_widget_event_internal (widget=0x2726620, 
    event=0x2594630) at gtkwidget.c:4767
        signal_num = <value optimized out>
        return_val = 0
#32 0x0000003b222b83bd in IA__gtk_container_propagate_expose (
    container=<value optimized out>, child=0x2726620, event=0x7fff6562cb00)
    at gtkcontainer.c:2731
        child_event = 0x2594630
        __PRETTY_FUNCTION__ = "IA__gtk_container_propagate_expose"
#33 0x0000003b223633dd in gtk_menu_shell_forall (container=0x2871400, 
    include_internals=<value optimized out>, 
    callback=0x3b222ba200 <gtk_container_expose_child>, 
    callback_data=0x7fff6562c4d0) at gtkmenushell.c:967
        menu_shell = <value optimized out>
        child = <value optimized out>
        children = 0x2871400
#34 0x0000003b222ba1d5 in gtk_container_expose (widget=0x2014af0, 
    event=0x7fff6562cb00) at gtkcontainer.c:2642
        data = {container = 0x2014af0, event = 0x7fff6562cb00}
        __PRETTY_FUNCTION__ = "gtk_container_expose"
#35 0x0000003b2235a63e in gtk_menu_expose (widget=0x2014af0, 
    event=0x7fff6562cb00) at gtkmenu.c:2852
        __PRETTY_FUNCTION__ = "gtk_menu_expose"
#36 0x0000003b22352683 in _gtk_marshal_BOOLEAN__BOXED (closure=0x1d47e70, 
    return_value=0x7fff6562c7c0, n_param_values=<value optimized out>, 
    param_values=0x24b8630, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
        callback = 0x3b2235a500 <gtk_menu_expose>
        cc = 0x1d47e70
        data1 = 0x2014af0
        data2 = 0x1d284d0
        v_return = <value optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#37 0x0000003b1960bb4e in IA__g_closure_invoke (closure=0x1d47e70, 
    return_value=0x7fff6562c7c0, n_param_values=2, param_values=0x24b8630, 
    invocation_hint=0x7fff6562c780) at gclosure.c:767
        marshal = 0x1c0
        marshal_data = 0x0
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#38 0x0000003b196219f8 in signal_emit_unlocked_R (node=0x1d47ef0, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3285
        accumulator = 0x5
        emission = {next = 0x0, instance = 0x2014af0, ihint = {signal_id = 41, 
            detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, 
          chain_type = 30542128}
        class_closure = 0x1d47e70
        handler_list = 0x0
        return_accu = <value optimized out>
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        signal_id = 41
        max_sequential_handler_number = 5
        return_value_altered = 0
#39 0x0000003b1962300e in IA__g_signal_emit_valist (instance=0x2014af0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff6562c970)
    at gsignal.c:2990
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        error = <value optimized out>
        signal_return_type = 20
        param_values = <value optimized out>
        node = 0x1d47ef0
        i = <value optimized out>
        n_params = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#40 0x0000003b196236c3 in IA__g_signal_emit (instance=0x3b16d7be80, 
    signal_id=425, detail=448) at gsignal.c:3037
        var_args = {{gp_offset = 32, fp_offset = 48, 
            overflow_arg_area = 0x7fff6562ca50, 
            reg_save_area = 0x7fff6562c990}}
#41 0x0000003b22472d1f in gtk_widget_event_internal (widget=0x2014af0, 
    event=0x7fff6562cb00) at gtkwidget.c:4767
        signal_num = <value optimized out>
        return_val = 0
#42 0x0000003b2234a9ad in IA__gtk_main_do_event (event=0x7fff6562cb00)
    at gtkmain.c:1558
        event_widget = 0x2014af0
        grab_widget = 0x2014af0
        window_group = 0x1e5a080
        rewritten_event = <value optimized out>
        tmp_list = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#43 0x0000003b23e4804a in _gdk_window_process_updates_recurse (
    window=0x21368a0, expose_region=0x2579400) at gdkwindow.c:4961
        event = {type = GDK_EXPOSE, any = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000'}, expose = {
            type = GDK_EXPOSE, window = 0x21368a0, send_event = 0 '\000', 
            area = {x = 0, y = 0, width = 276, height = 175}, 
            region = 0x2579400, count = 0}, no_expose = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000'}, visibility = {
            type = GDK_EXPOSE, window = 0x21368a0, send_event = 0 '\000', 
            state = GDK_VISIBILITY_UNOBSCURED}, motion = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', time = 0, 
            x = 5.8567083830641516e-312, y = 8.6461488022218145e-322, 
            axes = 0x2579400, state = 0, is_hint = 0, device = 0x0, 
            x_root = 1.2549522301134655e-312, 
            y_root = 3.3654226119991357e-316}, button = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', time = 0, 
            x = 5.8567083830641516e-312, y = 8.6461488022218145e-322, 
            axes = 0x2579400, state = 0, button = 0, device = 0x0, 
            x_root = 1.2549522301134655e-312, 
            y_root = 3.3654226119991357e-316}, scroll = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', time = 0, 
            x = 5.8567083830641516e-312, y = 8.6461488022218145e-322, 
            state = 39293952, direction = GDK_SCROLL_UP, device = 0x0, 
            x_root = 0, y_root = 1.2549522301134655e-312}, key = {
            type = GDK_EXPOSE, window = 0x21368a0, send_event = 0 '\000', 
            time = 0, state = 0, keyval = 276, length = 175, 
            string = 0x2579400 "\002", hardware_keycode = 0, group = 0 '\000', 
            is_modifier = 0}, crossing = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', 
            subwindow = 0x11400000000, time = 175, 
            x = 1.9413791772534941e-316, y = 0, x_root = 0, 
            y_root = 1.2549522301134655e-312, mode = 68116912, 
            detail = GDK_NOTIFY_ANCESTOR, focus = 55755136, state = 0}, 
          focus_change = {type = GDK_EXPOSE, window = 0x21368a0, 
            send_event = 0 '\000', in = 0}, configure = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', x = 0, y = 0, 
            width = 276, height = 175}, property = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', atom = 0x11400000000, 
            time = 175, state = 0}, selection = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', 
            selection = 0x11400000000, target = 0xaf, property = 0x2579400, 
            time = 0, requestor = 0}, owner_change = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', owner = 0, 
            reason = GDK_OWNER_CHANGE_NEW_OWNER, selection = 0xaf, 
            time = 39293952, selection_time = 0}, proximity = {
            type = GDK_EXPOSE, window = 0x21368a0, send_event = 0 '\000', 
            time = 0, device = 0x11400000000}, client = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', 
            message_type = 0x11400000000, data_format = 175, data = {
              b = "\000\224W\002", '\000' <repeats 15 times>, s = {-27648, 
                599, 0, 0, 0, 0, 0, 0, 0, 0}, l = {39293952, 0, 0, 
                254005159168, 68116912}}}, dnd = {type = GDK_EXPOSE, 
            window = 0x21368a0, send_event = 0 '\000', 
            context = 0x11400000000, time = 175, x_root = 0, y_root = 0}, 
          window_state = {type = GDK_EXPOSE, window = 0x21368a0, 
            send_event = 0 '\000', changed_mask = 0, new_window_state = 0}, 
          setting = {type = GDK_EXPOSE, window = 0x21368a0, 
            send_event = 0 '\000', action = GDK_SETTING_ACTION_NEW, 
            name = 0x11400000000 <Address 0x11400000000 out of bounds>}, 
          grab_broken = {type = GDK_EXPOSE, window = 0x21368a0, 
            send_event = 0 '\000', keyboard = 0, implicit = 0, 
            grab_window = 0xaf}}
        child = <value optimized out>
        child_region = <value optimized out>
        r = {x = 175, y = 0, width = 409299913, height = 59}
        l = <value optimized out>
        children = 0x4240180
#44 0x0000003b23e47ff7 in _gdk_window_process_updates_recurse (
    window=0x2136790, expose_region=0x21f3320) at gdkwindow.c:4934
        child = 0x21368a0
        child_region = <value optimized out>
        r = {x = 0, y = 0, width = 276, height = 175}
        l = 0x4237fa0
        children = 0x4237fa0
#45 0x0000003b23e47ff7 in _gdk_window_process_updates_recurse (
    window=0x2136680, expose_region=0x2a4c030) at gdkwindow.c:4934
        child = 0x2136790
        child_region = <value optimized out>
        r = {x = 0, y = 0, width = 276, height = 175}
        l = 0x352c180
        children = 0x352c180
#46 0x0000003b23e47ff7 in _gdk_window_process_updates_recurse (
    window=0x2136570, expose_region=0x2236130) at gdkwindow.c:4934
        child = 0x2136680
        child_region = <value optimized out>
        r = {x = 0, y = 0, width = 276, height = 175}
        l = 0x423e840
        children = 0x423e840
#47 0x0000003b23e3f5e5 in gdk_window_process_updates_internal (
    window=0x2136570) at gdkwindow.c:5116
        expose_region = 0x2236130
        update_area = 0x2578f90
        private = 0x2136570
        impl_iface = <value optimized out>
        save_region = 0
        clip_box = {x = 0, y = 0, width = 276, height = 175}
#48 0x0000003b23e431f9 in IA__gdk_window_process_all_updates ()
    at gdkwindow.c:5216
        private = <value optimized out>
        old_update_windows = 0x3f566c0
        tmp_list = 0x3f566a0
        in_process_all_updates = 1
#49 0x0000003b222b9361 in gtk_container_idle_sizer (data=<value optimized out>)
    at gtkcontainer.c:1353
No locals.
#50 0x0000003b23e1d136 in gdk_threads_dispatch (data=0x4198820) at gdk.c:506
        ret = 0
#51 0x0000003b186392ae in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1960
        dispatch = 0x3b18637470 <g_idle_dispatch>
        user_data = 0x4198820
        callback = 0x3b23e1d0e0 <gdk_threads_dispatch>
        cb_funcs = 0x3b188e4a70
        cb_data = 0x3f4f280
        current_source_link = {data = 0x4225700, next = 0x0}
        source = 0x4225700
        current = 0x1db0cb0
        i = 0
#52 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
No locals.
#53 0x0000003b1863cc98 in g_main_context_iterate (context=0x1d1cc30, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2591
        max_priority = 110
        timeout = 0
        some_ready = 1
        nfds = 14
        allocated_nfds = 409245408
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#54 0x0000003b1863d0e5 in IA__g_main_loop_run (loop=0x20c08f0) at gmain.c:2799
        self = 0x1ce2b00
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#55 0x0000003b2234abb7 in IA__gtk_main () at gtkmain.c:1205
        tmp_list = <value optimized out>
        functions = 0x0
        init = <value optimized out>
        loop = 0x20c08f0
#56 0x000000000040b4ee in main ()
No symbol table info available.

Thread 3 (Thread 14595):
#0  0x0000003b1760e49d in read () at ../sysdeps/unix/syscall-template.S:82
No locals.
#1  0x0000003b1863a37b in read (__nbytes=<value optimized out>, 
    __buf=<value optimized out>, __fd=<value optimized out>)
    at /usr/include/bits/unistd.h:45
No locals.
#2  child_watch_helper_thread (__nbytes=<value optimized out>, 
    __buf=<value optimized out>, __fd=<value optimized out>) at gmain.c:3822
        b = "Bl\036\002\000\000\000\000\020\000\000\000\000\000\000\000\220\202\201\027"
        list = 0x3b1760a570
#3  0x0000003b18662304 in g_thread_create_proxy (data=0x293a800)
    at gthread.c:635
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#4  0x0000003b1760696a in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
        __res = <value optimized out>
        pd = 0x7f5eb5266710
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140044742846224, 
                -1199783195443585125, 140734894353136, 140044742846224, 0, 3, 
                1289412433717895067, -1211559239009820773}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#5  0x0000003b16ae13cd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 14620):
#0  __lll_lock_wait ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
No locals.
#1  0x0000003b17609155 in _L_lock_947 () from /lib64/libpthread-2.10.90.so
No symbol table info available.
#2  0x0000003b17608f78 in __pthread_mutex_lock (mutex=0x259a8d0)
    at pthread_mutex_lock.c:61
        ignore1 = <value optimized out>
        ignore2 = 39430352
        ignore3 = -512
        __PRETTY_FUNCTION__ = "__pthread_mutex_lock"
        type = <value optimized out>
#3  0x00007f5eb40187fa in ?? () from /usr/lib64/anjuta/libanjuta-symbol-db.so
No symbol table info available.
#4  0x0000003b186638f2 in g_thread_pool_thread_proxy (
    data=<value optimized out>) at gthreadpool.c:265
        task = 0x2c23990
        pool = 0x259d340
#5  0x0000003b18662304 in g_thread_create_proxy (data=0x22c39c0)
    at gthread.c:635
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0000003b1760696a in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
        __res = <value optimized out>
        pd = 0x7f5eb009f710
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140044657096464, 
                -1199783195443585125, 140734894360720, 140044657096464, 0, 3, 
                1289405641763987355, -1211559239009820773}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003b16ae13cd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#8  0x0000000000000000 in ?? ()
No symbol table info available.
Current language:  auto
The current source language is "auto; currently asm".

Thread 1 (Thread 14621):
#0  0x0000003b16a33575 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        pid = <value optimized out>
        selftid = <value optimized out>
#1  0x0000003b16a34d55 in abort () at abort.c:92
        act = {__sigaction_handler = {sa_handler = 0x7f5eaf69c910, 
            sa_sigaction = 0x7f5eaf69c910}, sa_mask = {__val = {
              140044646598976, 140044907895160, 16, 253783959395, 1, 
              253782735333, 5, 253783963671, 3, 140044646598974, 2, 
              253783959421, 1, 253783968204, 3, 140044646598982}}, 
          sa_flags = 10, sa_restorer = 0x3b16b409d0}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x0000003b16a6feb3 in __libc_message (do_abort=<value optimized out>, 
    fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
        ap = {{gp_offset = 40, fp_offset = 48, 
            overflow_arg_area = 0x7f5eaf69d2c0, 
            reg_save_area = 0x7f5eaf69d1d0}}
        ap_copy = {{gp_offset = 16, fp_offset = 48, 
            overflow_arg_area = 0x7f5eaf69d2c0, 
            reg_save_area = 0x7f5eaf69d1d0}}
        fd = 24
        on_2 = <value optimized out>
        list = <value optimized out>
        nlist = 1024
        cp = <value optimized out>
        written = <value optimized out>
#3  0x0000003b16a758d6 in malloc_printerr (action=3, 
    str=0x3b16b3f63c "free(): invalid pointer", ptr=<value optimized out>)
    at malloc.c:6264
        buf = "000000000423a910"
        cp = <value optimized out>
#4  0x0000003b1862b04e in IA__g_hash_table_unref (hash_table=0x258dde0)
    at ghash.c:737
        __PRETTY_FUNCTION__ = "IA__g_hash_table_unref"
#5  0x00007f5eb39d3d98 in ?? () from /usr/lib64/libgda-4.0.so.4
No symbol table info available.
#6  0x0000003b1961131d in object_set_property (nqueue=<value optimized out>, 
    value=<value optimized out>, pspec=<value optimized out>, 
    object=<value optimized out>) at gobject.c:942
        tmp_value = {g_type = 68, data = {{v_int = 69474896, 
              v_uint = 69474896, v_long = 69474896, v_ulong = 69474896, 
              v_int64 = 69474896, v_uint64 = 69474896, 
              v_float = 1.92901895e-36, v_double = 3.4325159361993436e-316, 
              v_pointer = 0x4241a50}, {v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        param_id = 4
#7  g_object_constructor (nqueue=<value optimized out>, 
    value=<value optimized out>, pspec=<value optimized out>, 
    object=<value optimized out>) at gobject.c:1352
        value = 0x3b4b5a8
        pspec = 0x25d0000
        nqueue = <value optimized out>
        object = 0x2a43ec0
#8  0x0000003b19611c8e in IA__g_object_newv (
    object_type=<value optimized out>, n_parameters=1, 
    parameters=<value optimized out>) at gobject.c:1215
        nqueue = <value optimized out>
        object = <value optimized out>
        class = 0x25cfc20
        unref_class = 0x0
        slist = <value optimized out>
        n_total_cparams = 1
        n_cparams = 1
        n_oparams = <value optimized out>
        n_cvalues = <value optimized out>
        clist = 0x0
        newly_constructed = <value optimized out>
        i = 1
        __PRETTY_FUNCTION__ = "IA__g_object_newv"
#9  0x0000003b19612701 in IA__g_object_new_valist (object_type=39724496, 
    first_property_name=0x0, var_args=0x7f5eaf69d680) at gobject.c:1319
        params = <value optimized out>
        name = 0x0
        object = <value optimized out>
        n_params = <value optimized out>
        n_alloced_params = 16
        __PRETTY_FUNCTION__ = "IA__g_object_new_valist"
#10 0x0000003b1961296c in IA__g_object_new (object_type=39724496, 
    first_property_name=0x7f5eb3a29716 "holders") at gobject.c:1060
        var_args = {{gp_offset = 32, fp_offset = 48, 
            overflow_arg_area = 0x7f5eaf69d770, 
            reg_save_area = 0x7f5eaf69d6a0}}
        __PRETTY_FUNCTION__ = "IA__g_object_new"
#11 0x00007f5eb39d478f in gda_set_new () from /usr/lib64/libgda-4.0.so.4
No symbol table info available.
#12 0x00007f5eb39d4a61 in gda_set_new_inline () from /usr/lib64/libgda-4.0.so.4
No symbol table info available.
#13 0x00007f5eb3a101e2 in ?? () from /usr/lib64/libgda-4.0.so.4
No symbol table info available.
#14 0x00007f5eb3991a09 in ?? () from /usr/lib64/libgda-4.0.so.4
No symbol table info available.
#15 0x00007f5eb3998b42 in gda_connection_statement_execute_non_select ()
   from /usr/lib64/libgda-4.0.so.4
No symbol table info available.
#16 0x00007f5eb4016e24 in ?? () from /usr/lib64/anjuta/libanjuta-symbol-db.so
No symbol table info available.
#17 0x00007f5eb40181ec in ?? () from /usr/lib64/anjuta/libanjuta-symbol-db.so
No symbol table info available.
#18 0x00007f5eb40185ad in ?? () from /usr/lib64/anjuta/libanjuta-symbol-db.so
No symbol table info available.
#19 0x0000003b186638f2 in g_thread_pool_thread_proxy (
    data=<value optimized out>) at gthreadpool.c:265
        task = 0x2c2c880
        pool = 0x259d340
#20 0x0000003b18662304 in g_thread_create_proxy (data=0x21d98d0)
    at gthread.c:635
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#21 0x0000003b1760696a in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
        __res = <value optimized out>
        pd = 0x7f5eaf69e710
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140044646606608, 
                -1199783195443585125, 140734894360720, 140044646606608, 0, 3, 
                1289398771426926491, -1211559239009820773}, 
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, 
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#22 0x0000003b16ae13cd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.
#23 0x0000000000000000 in ?? ()
No symbol table info available.
Current language:  auto
The current source language is "auto; currently c".

Comment 3 Debarshi Ray 2009-11-03 20:06:36 UTC
I just built Anjuta 2.28.x a few days back: http://koji.fedoraproject.org/koji/buildinfo?buildID=139471 It contains a fix for one similar problem: https://bugzilla.gnome.org/show_bug.cgi?id=597113

Using the above packages, I am unable to reproduce the crash but I am still seeing the GObject warnings in the terminal.

Comment 4 Bug Zapper 2009-11-16 12:48:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Debarshi Ray 2010-04-30 14:27:36 UTC
Can you try the latest Fedora 12 build: anjuta-2.28.2.0-1.fc12 ?

Comment 6 Michal Schmidt 2010-05-02 08:56:22 UTC
I am unable to reproduce the crash. Let's assume the fix helped.


Note You need to log in before you can comment on or make changes to this bug.